gr::lte::pcfich_demux_vcvc_impl Class Reference

`#include <pcfich_demux_vcvc_impl.h>`

Inheritance diagram for gr::lte::pcfich_demux_vcvc_impl:
[legend]

## Public Member Functions

| pcfich_demux_vcvc_impl (int N_rb_dl, std::string key, std::string out_key, std::string msg_buf_name, std::string &name)
| ~pcfich_demux_vcvc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
void | set_cell_id (int id)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
virtual void | set_cell_id (int id)=0

## Additional Inherited Members

Public Types inherited from gr::lte::pcfich_demux_vcvc
typedef boost::shared_ptr< pcfich_demux_vcvc > | sptr
Static Public Member Functions inherited from gr::lte::pcfich_demux_vcvc
static sptr | make (int N_rb_dl, std::string key, std::string out_key, std::string msg_buf_name, std::string name="pcfich_demux_vcvc")
| Return a shared_ptr to a new instance of lte::pcfich_demux_vcvc. More...

## Constructor & Destructor Documentation

## pcfich_demux_vcvc_impl()

gr::lte::pcfich_demux_vcvc_impl::pcfich_demux_vcvc_impl | ( | int | N_rb_dl,
|  | std::string | key,
|  | std::string | out_key,
|  | std::string | msg_buf_name,
|  | std::string & | name
| ) |  |

## ~pcfich_demux_vcvc_impl()

gr::lte::pcfich_demux_vcvc_impl::~pcfich_demux_vcvc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::lte::pcfich_demux_vcvc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::lte::pcfich_demux_vcvc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## set_cell_id()

void gr::lte::pcfich_demux_vcvc_impl::set_cell_id | ( | int | id | ) |

inlinevirtual

Implements gr::lte::pcfich_demux_vcvc.

The documentation for this class was generated from the following file:

- pcfich_demux_vcvc_impl.h